import request from '@/utils/request'

// 查询推送系统消息记录列表
export function listSysPushLog(query) {
  return request({
    url: '/cai/sysPushLog/list',
    method: 'get',
    params: query
  })
}

// 查询推送系统消息记录详细
export function getSysPushLog(id) {
  return request({
    url: '/cai/sysPushLog/' + id,
    method: 'get'
  })
}

// 新增推送系统消息记录
export function addSysPushLog(data) {
  return request({
    url: '/cai/sysPushLog',
    method: 'post',
    data: data
  })
}

// 修改推送系统消息记录
export function updateSysPushLog(data) {
  return request({
    url: '/cai/sysPushLog',
    method: 'put',
    data: data
  })
}

// 删除推送系统消息记录
export function delSysPushLog(id) {
  return request({
    url: '/cai/sysPushLog/' + id,
    method: 'delete'
  })
}
